Categories:
  - Security
License: GPL-3.0-only
SourceCode: https://github.com/jeffisaak/diceware-pass-gen
IssueTracker: https://github.com/jeffisaak/diceware-pass-gen/issues
Donate: https://www.jeffisaak.ca/donate
Bitcoin: 1PbHGv88KH6SXw6d66uSFTUzW2aeqxvQ7V

AutoName: Diceware Password Generator
Description: |-
    Generate diceware passwords using the Reinhold, EFF (long) or EFF (short)
    wordlists, using the pseudo-random number generator on your device, random.org,
    or actual dice as sources of random numbers.

RepoType: git
Repo: https://github.com/jeffisaak/diceware-pass-gen.git

Builds:
  - versionName: '1.7'
    versionCode: 8
    commit: v1.7
    subdir: app
    gradle:
      - yes
    prebuild: echo 'allprojects { repositories { google() } }' >> ../build.gradle

  - versionName: '1.8'
    versionCode: 9
    commit: v1.8
    subdir: app
    gradle:
      - yes
    prebuild: echo 'allprojects { repositories { google() } }' >> ../build.gradle

AutoUpdateMode: Version v%v
UpdateCheckMode: Tags
CurrentVersion: '1.8'
CurrentVersionCode: 9
